
ChiliProject - Bug # 414: Remove returning since it causes deprecation warnings

Status: Closed Priority: Normal
Author: Gregor Schmidt Category:
Created: 2011-05-13 Assignee:
Updated: 2011-05-14 Due date:
Remote issue URL:
Affected version: unstable
Description: The aaj-merge introduced a returning call.

@Kernel#returning@ will be removed from Rails. Instead @Object#tap@ should be used.

Associated revisions
2011-05-14 12:19 am - Gregor Schmidt 
[#414] remove returning which will be removed in future versions of Rails

2011-05-14 01:32 am - Felix SchÃ¤fer 
Merge pull request #56 from schmidt/b/414-remove-returning

Remove returning since it causes deprecation warnings. #414

History
2011-05-13 10:28 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/56.

Thanks for having a look.

2011-05-13 11:31 pm - Felix Schäfer
From what I was able to gather, @Object#tap@ will probably not work on 1.8.6, one way around that could be to monkey-patch if needed:

<pre><code class="ruby">class Object
  def tap
    yield self
    self
  end
end</code></pre>

I'd rather not add it per default though.

I'll merge this pull request, if anyone uses ChiliProject 2.0 or newer with 1.8.6, we can still decide how to best handle it.

2011-05-13 11:33 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Merged in commit:d8ae680abbd00e156c49af9b3dc93c9a8380398d, thanks.
2011-05-14 06:19 am - Gregor Schmidt
This is done in Rails' core already. See https://github.com/rails/rails/blob/2-3-stable/activesupport/lib/active_support/core_ext/object/misc.rb#L56

2011-05-14 08:41 am - Felix Schäfer
Gregor Schmidt wrote:
> This is done in Rails' core already.

Oh, no more reservations from me then.
